%def_disable static

Name: gsasl
%define libname lib%name
Version: 0.2.21
Release: alt1.M40.1

Group: System/Libraries
Summary: GNU SASL implementation
Url: http://www.gnu.org/software/gsasl/
License: LGPL

Source0: http://josefsson.org/gsasl/releases/%name-%version.tar.gz

# Automatically added by buildreq on Wed Jan 09 2008
BuildRequires: gcc-c++ libcom_err-devel libgnutls-devel libidn-devel libkrb5-devel libntlm-devel libreadline-devel
#BuildRequires: libkeyutils-devel

%description
GNU SASL is an implementation of the Simple Authentication and
Security Layer (SASL)

%package -n %libname
Group: System/Libraries
Summary: GNU SASL implementation library
Requires: %libname = %version-%release
%description -n %libname
GNU SASL is an implementation of the Simple Authentication and
Security Layer (SASL) library

%package -n %libname-devel
Group: Development/C
Summary: Include files and libraries mandatory for %libname
Requires: %libname = %version-%release
PreReq(post,preun): info-install
%description -n %libname-devel
Include files and libraries mandatory for %libname


%package -n %libname-devel-static
Group: Development/C
Summary: Static libraries of %libname
Requires: %libname-devel = %version-%release
%description  -n %libname-devel-static
Static libraries of %name


%prep
%setup -q
#autoreconf -fisv


%build
%configure \
    %{subst_enable static} \
    --enable-shared \
    --disable-rpath \
    --with-libgcrypt \
    --with-gssapi-impl=yes \
    --disable-obsolete
#    --with-gssapi-impl=gss/mit/heimdal/yes
#    --enable-gs2 \

%make_build


%install
%make DESTDIR=%buildroot install
#rm -rf docs
#cp -ar doc docs
#rm -rf docs/man docs/texi

%find_lang --output=lang.%libname %libname
%find_lang --output=lang.%name %name


%post -n %libname
%post_ldconfig
%postun -n %libname
%postun_ldconfig

%post -n %libname-devel
%install_info %name.info
%postun -n %libname-devel
%uninstall_info %name.info


#files -f lang.%name
%files
%doc AUTHORS ChangeLog NEWS README THANKS
%_bindir/%name
%_man1dir/*
#/usr/share/emacs/site-lisp/idna.el
#/usr/share/emacs/site-lisp/punycode.el

#files -n %libname -f lang.%libname
%files -n %libname -f lang.%name
%doc AUTHORS ChangeLog NEWS README THANKS
%_libdir/*.so.*

%files -n %libname-devel
#doc docs
%_infodir/*
%_mandir/man3/*
#
%_libdir/*.so
%_includedir/*.h
%_libdir/pkgconfig/*.pc

%if_enabled static
%files -n %libname-devel-static
%_libdir/*.a
%endif

%changelog
* Sat Jan 12 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.21-alt1.M40.1
- built for M40

* Fri Jan 11 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.21-alt2
- remove libkeyutils-devel from BuildRequires (#13977)

* Wed Jan 09 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.21-alt1
- initial specfile

